Bug 15208 - libstdc++ using /usr/include/g++-3 violates fhs
Summary: libstdc++ using /usr/include/g++-3 violates fhs
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 05:06 UTC by Jeremy Katz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 05:06:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2000-08-03 05:06:54 UTC
According to version 2.1 of the FHS, include files for the c++ compiler
should be located in /usr/include/g++ (cf section 4.2, page 17 of the April
12, 2000 pdf version of fhs-2.1).  libstdc++ places these header files in
/usr/include/g++-3

Comment 1 Preston Brown 2000-08-04 14:29:06 UTC
the FHS is broken in this regard (in our opinion).  We will not be changing
this.


Note You need to log in before you can comment on or make changes to this bug.